## org.gnu.gtk
Class TextWindowType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.TextWindowType

public class TextWindowType
extends org.gnu.glib.Enum

Field Summary
`static TextWindowType` `BOTTOM`
`static TextWindowType` `LEFT`
`static TextWindowType` `PRIVATE`
`static TextWindowType` `RIGHT`
`static TextWindowType` `TEXT`
`static TextWindowType` `TOP`
`static TextWindowType` `WIDGET`

Method Summary
`TextWindowType` `and(TextWindowType other)`
`static TextWindowType` `intern(int value)`
`TextWindowType` `or(TextWindowType other)`
`boolean` `test(TextWindowType other)`
`TextWindowType` `xor(TextWindowType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIVATE

    public static final TextWindowType PRIVATE

### WIDGET

    public static final TextWindowType WIDGET

### TEXT

    public static final TextWindowType TEXT

### LEFT

    public static final TextWindowType LEFT

### RIGHT

    public static final TextWindowType RIGHT

### TOP

    public static final TextWindowType TOP

### BOTTOM

    public static final TextWindowType BOTTOM

Method Detail

### intern

    public static TextWindowType intern(int value)

### or

    public TextWindowType or(TextWindowType other)

### and

    public TextWindowType and(TextWindowType other)

### xor

    public TextWindowType xor(TextWindowType other)

### test

    public boolean test(TextWindowType other)